# gdcm::ASN1 Class Reference

Class for ASN1. More...

`#include <gdcmASN1.h>`

List of all members.

## Public Member Functions
| ASN1 ()
| ~ASN1 ()
## Static Public Member Functions
static bool | ParseDump (const char *array, size_t length)
static bool | ParseDumpFile (const char *filename)
## Protected Member Functions
int | TestPBKDF2 ()

## Detailed Description

Class for ASN1.

## Constructor & Destructor Documentation

gdcm::ASN1::ASN1 | ( |  | ) |

gdcm::ASN1::~ASN1 | ( |  | ) |

## Member Function Documentation

static bool gdcm::ASN1::ParseDump | ( | const char * | array,
|  | size_t | length |
| ) |  |  | `[static]`

static bool gdcm::ASN1::ParseDumpFile | ( | const char * | filename | ) | `[static]`

int gdcm::ASN1::TestPBKDF2 | ( |  | ) | `[protected]`

The documentation for this class was generated from the following file:

- gdcmASN1.h